### Name: Hpi, Hpi.diag
### Title: Plug-in bandwidth matrix selector for multivariate data
### Aliases: Hpi Hpi.diag
### Keywords: smooth

### ** Examples

### bivariate example

data(unicef)
Hpi(unicef, nstage=1, pilot="amse", pre="scale")
Hpi(unicef, nstage=2, pilot="samse", pre="sphere")
Hpi.diag(unicef, nstage=2, pilot="amse", pre="scale") 

### large sample - 10000 sample from bivariate standard normal 

x <- rmvnorm.mixt(10000, c(0,0), diag(2))    
Hpi(x, binned=TRUE)

### trivariate example

mus <- rbind(c(0,0,0), c(2,2,2))
Sigma <- matrix(c(1, 0.7, 0.7, 0.7, 1, 0.7, 0.7, 0.7, 1), nr=3, nc=3) 
Sigmas <- rbind(Sigma, Sigma)
x <- rmvnorm.mixt(n=100, mus=mus, Sigmas=Sigmas, props=c(1/2, 1/2))
Hpi(x)



